Advisory Details

December 7th, 2010

Apple QuickTime PICT File PackBits Remote Code Execution Vulnerability

ZDI-10-261
ZDI-CAN-790

CVE ID CVE-2010-3800
CVSS SCORE 9, (AV:N/AC:L/Au:N/C:P/I:P/A:C)
AFFECTED VENDORS Apple
AFFECTED PRODUCTS Quicktime
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple QuickTime. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the application's implementation of a custom compression algorithm. The application will trust a field within a DirectBitsRect structure which is used for an allocation, and later attempt to decompress data into this buffer. Due to the value for the allocation being different from the length of the data being decompressed a buffer overflow will occur which can lead to code execution with the privileges of the application.

ADDITIONAL DETAILS Apple has issued an update to correct this vulnerability. More details can be found at:
http://support.apple.com/kb/HT4447
DISCLOSURE TIMELINE
  • 2010-06-01 - Vulnerability reported to vendor
  • 2010-12-07 - Coordinated public release of advisory
CREDIT Damian Put
Procyun
Andrzej Dyjak
BACK TO ADVISORIES